<?php

// Rendering an Atom entry document.

$entry = array(
	"id" => 1,
	"title" => "A Good Title is Important",
	"authorname" => "John Doe",
	"updated" => time() * 1000, // milliseconds since the epoch
	"contenttype" => "TEXT",
	"content" => "Content is also important."
);

zput("request/view","atom");
zput("request/atom/output",$entry);
render_view();

?>

<?php

// Rendering an Atom feed document.

$feed = array(
	array(
		"id" => 1,
		"title" => "A Good Title is Important",
		"authorname" => "John Doe",
		"updated" => "1970-01-01", // date format
		"contenttype" => "TEXT",
		"content" => "Content is also important."
	),
	array(
		"id" => 2,
		"title" => "Bad Titles are Misleading",
		"authorname" => "Jane Q. Sample",
		"updated" => "1980-12-25 12:00:00", // date time format
		"contenttype" => "TEXT",
		"content" => "Content is also important."
	)
);

zput("request/view","atom");
zput("request/atom/output",$feed);
render_view();

?>
